Loading...
Searching...
No Matches
composedgridfunction.hh File Reference
`#include <type_traits>`
`#include <tuple>`
`#include <dune/common/referencehelper.hh>`
`#include <dune/common/typeutilities.hh>`
`#include <dune/functions/common/defaultderivativetraits.hh>`
`#include <dune/functions/common/differentiablefunction.hh>`
`#include <dune/functions/gridfunctions/gridfunction.hh>`

Go to the source code of this file.

## Classes

class | Dune::Functions::ComposedGridFunction< OF, IF >
| Composition of grid functions with another function. More...

## Namespaces

namespace | Dune
namespace | Dune::Functions

## Functions

template<class OF, class... IF>
| Dune::Functions::ComposedGridFunction (const OF &, const IF &...) -> ComposedGridFunction< OF, IF... >
template<class OF, class... IF>
auto | Dune::Functions::makeComposedGridFunction (OF &&outerFunction, IF &&... innerFunction)
| Create a ComposedGridFunction that composes grid-functions with another function.